package com.yeejoin.amos.boot.module.jg.biz.edit.process.biz;

import com.yeejoin.amos.boot.module.jg.api.dto.ChangeDataDto;
import com.yeejoin.amos.boot.module.jg.biz.edit.core.RouterEventPublisher;
import com.yeejoin.amos.boot.module.jg.biz.edit.event.BaseBizDataChangeEvent;
import org.springframework.stereotype.Component;
import org.typroject.tyboot.core.foundation.context.RequestContext;

import java.util.Collections;
import java.util.List;
import java.util.Map;

@Component
public class InstallNoticeDataChangeHandler extends DefaultBizDataChangeHandler<BaseBizDataChangeEvent> {
    protected InstallNoticeDataChangeHandler(RouterEventPublisher routerEventPublisher) {
        super(routerEventPublisher);
    }

    @Override
    protected BaseBizDataChangeEvent buildEvent(String applyNo, ModelType model, Map<String, Object> changeData) {
        return new BaseBizDataChangeEvent(this, applyNo, RequestContext.cloneRequestContext());
    }

    @Override
    public String canHandleBizType() {
        return "tzs_jg_installation_notice";
    }

    @Override
    public Map<String, ?> getDetail(String applyNo, ModelType model, String bizId) {
        return Collections.emptyMap();
    }

    @Override
    public List<ChangeDataDto> bizDataSave(String applyNo, ModelType model, Map<String, Object> changeData) {
        return Collections.emptyList();
    }

    @Override
    public Boolean beforeCheck(String applyNo, ModelType model, Map<String, Object> changeData) {
        return null;
    }
}
